<template>
  <header class="c-header">
    <b-container class="d-flex justify-content-between align-items-center">
      <h1 v-if="$route.path == '/'" class="seo-only">Where in the world?</h1>
      <h2 v-else class="seo-only">Where in the world?</h2>
      <nuxt-link to="/" class="c-header__title">Where in the world?</nuxt-link>
      <div class="c-toggle-mode" @click="changeMode">
        <i
          :class="[
            this.$colorMode.preference === 'light'
              ? 'icon-moon-o'
              : 'icon-sun-o',
          ]"
        ></i>
        {{ btnLabel }} Mode
      </div>
    </b-container>
  </header>
</template>

<script>
export default {
  computed: {
    btnLabel() {
      return this.$colorMode.preference === 'light' ? 'Dark' : 'Light'
    },
  },
  methods: {
    changeMode() {
      this.$colorMode.preference =
        this.$colorMode.preference === 'light' ? 'dark' : 'light'
    },
  },
}
</script>

<style lang="scss" scoped>
.c-header {
  @include themed() {
    background: t('bg-secondary');
  }
  padding: 30px 0px;
  margin-bottom: 50px;
  & .c-header__title {
    font-weight: 800;
    font-size: 1.125rem;
  }
  .c-toggle-mode {
    cursor: pointer;
  }
}
</style>
